Index: /palm/trunk/SOURCE/lagrangian_particle_model_mod.f90
===================================================================
--- /palm/trunk/SOURCE/lagrangian_particle_model_mod.f90	(revision 4328)
+++ /palm/trunk/SOURCE/lagrangian_particle_model_mod.f90	(revision 4329)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Renamed wall_flags_0 to wall_flags_static_0
+! 
+! 4282 2019-10-29 16:18:46Z schwenkel
 ! Bugfix of particle timeseries in case of more than one particle group
 ! 
@@ -145,5 +148,5 @@
                nzb_max, nzt,nbgp, ngp_2dh_outer,                               &
                topo_top_ind,                                                   &
-               wall_flags_0
+               wall_flags_static_0
 
     USE kinds
@@ -1352,5 +1355,5 @@
 !--                               of overhanging structures.
                                   IF ( kp > nzt  .OR.                          &
-                                 .NOT. BTEST( wall_flags_0(kp,jp,ip), 0 ) )  THEN
+                                 .NOT. BTEST( wall_flags_static_0(kp,jp,ip), 0 ) )  THEN
                                      pos_x = pos_x + pdx(i)
                                      CYCLE xloop
@@ -1362,5 +1365,5 @@
                                ELSEIF ( .NOT. seed_follows_topography .AND.    &
                                          tmp_particle%z <= zw(k_surf)  .OR.    &
-                                        .NOT. BTEST( wall_flags_0(kp,jp,ip), 0 ) )&
+                                        .NOT. BTEST( wall_flags_static_0(kp,jp,ip), 0 ) )&
                                THEN
                                   pos_x = pos_x + pdx(i)
@@ -1518,5 +1521,5 @@
 !
 !--                Check if particle is within topography
-                   IF ( .NOT. BTEST( wall_flags_0(k,j,i), 0 ) )  THEN
+                   IF ( .NOT. BTEST( wall_flags_static_0(k,j,i), 0 ) )  THEN
                       particles(n)%particle_mask = .FALSE.
                       deleted_particles = deleted_particles + 1
@@ -1761,22 +1764,22 @@
           DO  k = nzb, nzt+1
 
-             IF ( .NOT. BTEST( wall_flags_0(k,j,i-1), 0 )  .AND.               &
-                        BTEST( wall_flags_0(k,j,i), 0   )  .AND.               &
-                        BTEST( wall_flags_0(k,j,i+1), 0 ) )                    &
+             IF ( .NOT. BTEST( wall_flags_static_0(k,j,i-1), 0 )  .AND.               &
+                        BTEST( wall_flags_static_0(k,j,i), 0   )  .AND.               &
+                        BTEST( wall_flags_static_0(k,j,i+1), 0 ) )                    &
              THEN
                 de_dx(k,j,i) = 2.0_wp * sgs_wf_part *                          &
                                ( e(k,j,i+1) - e(k,j,i) ) * ddx
-             ELSEIF ( BTEST( wall_flags_0(k,j,i-1), 0 )  .AND.                 &
-                      BTEST( wall_flags_0(k,j,i), 0   )  .AND.                 &
-                .NOT. BTEST( wall_flags_0(k,j,i+1), 0 ) )                      &
+             ELSEIF ( BTEST( wall_flags_static_0(k,j,i-1), 0 )  .AND.                 &
+                      BTEST( wall_flags_static_0(k,j,i), 0   )  .AND.                 &
+                .NOT. BTEST( wall_flags_static_0(k,j,i+1), 0 ) )                      &
              THEN
                 de_dx(k,j,i) = 2.0_wp * sgs_wf_part *                          &
                                ( e(k,j,i) - e(k,j,i-1) ) * ddx
-             ELSEIF ( .NOT. BTEST( wall_flags_0(k,j,i), 22   )  .AND.          &
-                      .NOT. BTEST( wall_flags_0(k,j,i+1), 22 ) )               &   
+             ELSEIF ( .NOT. BTEST( wall_flags_static_0(k,j,i), 22   )  .AND.          &
+                      .NOT. BTEST( wall_flags_static_0(k,j,i+1), 22 ) )               &   
              THEN
                 de_dx(k,j,i) = 0.0_wp
-             ELSEIF ( .NOT. BTEST( wall_flags_0(k,j,i-1), 22 )  .AND.          &
-                      .NOT. BTEST( wall_flags_0(k,j,i), 22   ) )               &
+             ELSEIF ( .NOT. BTEST( wall_flags_static_0(k,j,i-1), 22 )  .AND.          &
+                      .NOT. BTEST( wall_flags_static_0(k,j,i), 22   ) )               &
              THEN
                 de_dx(k,j,i) = 0.0_wp
@@ -1785,22 +1788,22 @@
              ENDIF
 
-             IF ( .NOT. BTEST( wall_flags_0(k,j-1,i), 0 )  .AND.               &
-                        BTEST( wall_flags_0(k,j,i), 0   )  .AND.               &
-                        BTEST( wall_flags_0(k,j+1,i), 0 ) )                    &
+             IF ( .NOT. BTEST( wall_flags_static_0(k,j-1,i), 0 )  .AND.               &
+                        BTEST( wall_flags_static_0(k,j,i), 0   )  .AND.               &
+                        BTEST( wall_flags_static_0(k,j+1,i), 0 ) )                    &
              THEN
                 de_dy(k,j,i) = 2.0_wp * sgs_wf_part *                          &
                                ( e(k,j+1,i) - e(k,j,i) ) * ddy
-             ELSEIF ( BTEST( wall_flags_0(k,j-1,i), 0 )  .AND.                 &
-                      BTEST( wall_flags_0(k,j,i), 0   )  .AND.                 &
-                .NOT. BTEST( wall_flags_0(k,j+1,i), 0 ) )                      &
+             ELSEIF ( BTEST( wall_flags_static_0(k,j-1,i), 0 )  .AND.                 &
+                      BTEST( wall_flags_static_0(k,j,i), 0   )  .AND.                 &
+                .NOT. BTEST( wall_flags_static_0(k,j+1,i), 0 ) )                      &
              THEN
                 de_dy(k,j,i) = 2.0_wp * sgs_wf_part *                          &
                                ( e(k,j,i) - e(k,j-1,i) ) * ddy
-             ELSEIF ( .NOT. BTEST( wall_flags_0(k,j,i), 22   )  .AND.          &
-                      .NOT. BTEST( wall_flags_0(k,j+1,i), 22 ) )               &   
+             ELSEIF ( .NOT. BTEST( wall_flags_static_0(k,j,i), 22   )  .AND.          &
+                      .NOT. BTEST( wall_flags_static_0(k,j+1,i), 22 ) )               &   
              THEN
                 de_dy(k,j,i) = 0.0_wp
-             ELSEIF ( .NOT. BTEST( wall_flags_0(k,j-1,i), 22 )  .AND.          &
-                      .NOT. BTEST( wall_flags_0(k,j,i), 22   ) )               &
+             ELSEIF ( .NOT. BTEST( wall_flags_static_0(k,j-1,i), 22 )  .AND.          &
+                      .NOT. BTEST( wall_flags_static_0(k,j,i), 22   ) )               &
              THEN
                 de_dy(k,j,i) = 0.0_wp
@@ -1820,5 +1823,5 @@
 !
 !--          Flag to mask topography
-             flag1 = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 0  ) )
+             flag1 = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 0  ) )
 
              de_dz(k,j,i) = 2.0_wp * sgs_wf_part *                             &
@@ -1895,5 +1898,5 @@
 !
 !--             Flag indicating vicinity of wall
-                flag1 = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 24 ) )
+                flag1 = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 24 ) )
 
                 sums_l(k,1,0)  = sums_l(k,1,0)  + u(k,j,i) * flag1
@@ -1935,5 +1938,5 @@
 !
 !--             Flag indicating vicinity of wall
-                flag1 = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 24 ) )
+                flag1 = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 24 ) )
 
                 sums_l(k,8,0)  = sums_l(k,8,0)  + e(k,j,i)                       * flag1
@@ -3666,7 +3669,7 @@
              j = jp + MERGE( -1_iwp , 1_iwp, BTEST( nb, 1 ) )
              k = kp + MERGE( -1_iwp , 1_iwp, BTEST( nb, 0 ) )
-             IF ( .NOT. BTEST(wall_flags_0(k,  jp, ip), 0) .OR.                &
-                  .NOT. BTEST(wall_flags_0(kp, j,  ip), 0) .OR.                &
-                  .NOT. BTEST(wall_flags_0(kp, jp, i ), 0) )                   &
+             IF ( .NOT. BTEST(wall_flags_static_0(k,  jp, ip), 0) .OR.                &
+                  .NOT. BTEST(wall_flags_static_0(kp, j,  ip), 0) .OR.                &
+                  .NOT. BTEST(wall_flags_static_0(kp, jp, i ), 0) )                   &
              THEN
                 subbox_at_wall = .TRUE.
@@ -4763,5 +4766,5 @@
                 IF ( reach_x(t_index)                      .AND.               & 
                      ABS( pos_x - xwall ) < eps            .AND.               &
-                     .NOT. BTEST(wall_flags_0(k3,j3,i3),0) .AND.               &
+                     .NOT. BTEST(wall_flags_static_0(k3,j3,i3),0) .AND.               &
                      .NOT. reflect_x )  THEN
 ! 
@@ -4803,5 +4806,5 @@
                 IF ( reach_y(t_index)                      .AND.               & 
                      ABS( pos_y - ywall ) < eps            .AND.               &
-                     .NOT. BTEST(wall_flags_0(k3,j3,i3),0) .AND.               &
+                     .NOT. BTEST(wall_flags_static_0(k3,j3,i3),0) .AND.               &
                      .NOT. reflect_y )  THEN
 ! 
@@ -4843,5 +4846,5 @@
                 IF ( reach_z(t_index)                      .AND.               & 
                      ABS( pos_z - zwall ) < eps            .AND.               &
-                     .NOT. BTEST(wall_flags_0(k3,j3,i3),0) .AND.               &
+                     .NOT. BTEST(wall_flags_static_0(k3,j3,i3),0) .AND.               &
                      .NOT. reflect_z )  THEN
 ! 
@@ -5201,5 +5204,5 @@
 !
 !--          Predetermine flag to mask topography
-             flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 0 ) )
+             flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 0 ) )
 
              q(k,j,i)  = q_p(k,j,i)  - ql_c(k,j,i) * flag
@@ -5231,5 +5234,5 @@
 !
 !--    Predetermine flag to mask topography
-       flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 0 ) )
+       flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 0 ) )
 
        q(k,j,i)  = q(k,j,i)  - ql_c(k,j,i) * flag
Index: /palm/trunk/SOURCE/large_scale_forcing_nudging_mod.f90
===================================================================
--- /palm/trunk/SOURCE/large_scale_forcing_nudging_mod.f90	(revision 4328)
+++ /palm/trunk/SOURCE/large_scale_forcing_nudging_mod.f90	(revision 4329)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Renamed wall_flags_0 to wall_flags_static_0
+! 
+! 4182 2019-08-22 15:20:23Z scharf
 ! Corrected "Former revisions" section
 ! 
@@ -71,5 +74,5 @@
     USE indices,                                                               &
         ONLY:  nbgp, ngp_sums_ls, nx, nxl, nxlg, nxlu, nxr, nxrg, ny, nys,     &
-               nysv, nysg, nyn, nyng, nzb, nz, nzt, wall_flags_0
+               nysv, nysg, nyn, nyng, nzb, nz, nzt, wall_flags_static_0
 
     USE kinds
@@ -799,5 +802,5 @@
                                     ( td_lsa_lpt(k,nt+1) - td_lsa_lpt(k,nt) ) *&
                                         MERGE( 1.0_wp, 0.0_wp,                 &
-                                               BTEST( wall_flags_0(k,j,i), 0 ) )
+                                               BTEST( wall_flags_static_0(k,j,i), 0 ) )
                    ENDDO
                 ENDDO
@@ -812,5 +815,5 @@
                                     ( td_lsa_q(k,nt+1) - td_lsa_q(k,nt) ) *    &
                                         MERGE( 1.0_wp, 0.0_wp,                 &
-                                               BTEST( wall_flags_0(k,j,i), 0 ) )
+                                               BTEST( wall_flags_static_0(k,j,i), 0 ) )
                    ENDDO
                 ENDDO
@@ -833,5 +836,5 @@
                                      ( td_sub_lpt(k,nt+1) - td_sub_lpt(k,nt) )*&
                                         MERGE( 1.0_wp, 0.0_wp,                 &
-                                               BTEST( wall_flags_0(k,j,i), 0 ) )
+                                               BTEST( wall_flags_static_0(k,j,i), 0 ) )
                       ENDDO
                    ENDDO
@@ -846,5 +849,5 @@
                                        ( td_sub_q(k,nt+1) - td_sub_q(k,nt) ) * &
                                         MERGE( 1.0_wp, 0.0_wp,                 &
-                                               BTEST( wall_flags_0(k,j,i), 0 ) )
+                                               BTEST( wall_flags_static_0(k,j,i), 0 ) )
                       ENDDO
                    ENDDO
@@ -899,5 +902,5 @@
                              + fac * ( td_lsa_lpt(k,nt+1) - td_lsa_lpt(k,nt) )*&
                                         MERGE( 1.0_wp, 0.0_wp,                 &
-                                               BTEST( wall_flags_0(k,j,i), 0 ) )
+                                               BTEST( wall_flags_static_0(k,j,i), 0 ) )
              ENDDO
 
@@ -908,5 +911,5 @@
                               + fac * ( td_lsa_q(k,nt+1) - td_lsa_q(k,nt) ) *  &
                                         MERGE( 1.0_wp, 0.0_wp,                 &
-                                               BTEST( wall_flags_0(k,j,i), 0 ) )
+                                               BTEST( wall_flags_static_0(k,j,i), 0 ) )
              ENDDO
 
@@ -925,5 +928,5 @@
                                  ( td_sub_lpt(k,nt+1) - td_sub_lpt(k,nt) ) *   &
                                         MERGE( 1.0_wp, 0.0_wp,                 &
-                                               BTEST( wall_flags_0(k,j,i), 0 ) )
+                                               BTEST( wall_flags_static_0(k,j,i), 0 ) )
                 ENDDO
   
@@ -934,5 +937,5 @@
                                  ( td_sub_q(k,nt+1) - td_sub_q(k,nt) ) *       &
                                         MERGE( 1.0_wp, 0.0_wp,                 &
-                                               BTEST( wall_flags_0(k,j,i), 0 ) )
+                                               BTEST( wall_flags_static_0(k,j,i), 0 ) )
                 ENDDO
 
@@ -1178,5 +1181,5 @@
                       tend(k,j,i) = tend(k,j,i) + tmp_tend *                   &
                                         MERGE( 1.0_wp, 0.0_wp,                 &
-                                               BTEST( wall_flags_0(k,j,i), 1 ) )
+                                               BTEST( wall_flags_static_0(k,j,i), 1 ) )
 
                       sums_ls_l(k,6) = sums_ls_l(k,6) + tmp_tend *             &
@@ -1201,5 +1204,5 @@
                       tend(k,j,i) = tend(k,j,i) + tmp_tend *                   &
                                         MERGE( 1.0_wp, 0.0_wp,                 &
-                                               BTEST( wall_flags_0(k,j,i), 2 ) )
+                                               BTEST( wall_flags_static_0(k,j,i), 2 ) )
 
                       sums_ls_l(k,7) = sums_ls_l(k,7) + tmp_tend *             &
@@ -1224,5 +1227,5 @@
                       tend(k,j,i) = tend(k,j,i) + tmp_tend *                   &
                                         MERGE( 1.0_wp, 0.0_wp,                 &
-                                               BTEST( wall_flags_0(k,j,i), 0 ) )
+                                               BTEST( wall_flags_static_0(k,j,i), 0 ) )
 
                       sums_ls_l(k,4) = sums_ls_l(k,4) + tmp_tend *             &
@@ -1247,5 +1250,5 @@
                       tend(k,j,i) = tend(k,j,i) + tmp_tend *                   &
                                         MERGE( 1.0_wp, 0.0_wp,                 &
-                                               BTEST( wall_flags_0(k,j,i), 0 ) )
+                                               BTEST( wall_flags_static_0(k,j,i), 0 ) )
 
                       sums_ls_l(k,5) = sums_ls_l(k,5) + tmp_tend *             &
@@ -1313,5 +1316,5 @@
                 tend(k,j,i) = tend(k,j,i) + tmp_tend *                         &
                                         MERGE( 1.0_wp, 0.0_wp,                 &
-                                               BTEST( wall_flags_0(k,j,i), 1 ) )
+                                               BTEST( wall_flags_static_0(k,j,i), 1 ) )
 
                 sums_ls_l(k,6) = sums_ls_l(k,6) + tmp_tend                     &
@@ -1330,5 +1333,5 @@
                 tend(k,j,i) = tend(k,j,i) + tmp_tend *                         &
                                         MERGE( 1.0_wp, 0.0_wp,                 &
-                                               BTEST( wall_flags_0(k,j,i), 2 ) )
+                                               BTEST( wall_flags_static_0(k,j,i), 2 ) )
 
                 sums_ls_l(k,7) = sums_ls_l(k,7) + tmp_tend                     &
@@ -1347,5 +1350,5 @@
                 tend(k,j,i) = tend(k,j,i) + tmp_tend *                         &
                                         MERGE( 1.0_wp, 0.0_wp,                 &
-                                               BTEST( wall_flags_0(k,j,i), 0 ) )
+                                               BTEST( wall_flags_static_0(k,j,i), 0 ) )
 
                 sums_ls_l(k,4) = sums_ls_l(k,4) + tmp_tend                     &
@@ -1365,5 +1368,5 @@
                 tend(k,j,i) = tend(k,j,i) + tmp_tend *                         &
                                         MERGE( 1.0_wp, 0.0_wp,                 &
-                                               BTEST( wall_flags_0(k,j,i), 0 ) )
+                                               BTEST( wall_flags_static_0(k,j,i), 0 ) )
 
                 sums_ls_l(k,5) = sums_ls_l(k,5) + tmp_tend                     &
Index: /palm/trunk/SOURCE/modules.f90
===================================================================
--- /palm/trunk/SOURCE/modules.f90	(revision 4328)
+++ /palm/trunk/SOURCE/modules.f90	(revision 4329)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Renamed wall_flags_0 to wall_flags_static_0
+! 
+! 4301 2019-11-22 12:09:09Z oliver.maas
 ! removed recycling_yshift
 ! 
@@ -1110,5 +1113,5 @@
     INTEGER(iwp), DIMENSION(:,:,:), ALLOCATABLE ::  advc_flags_s            !< flags used to degrade order of advection scheme for scalar quantities
     INTEGER(iwp), DIMENSION(:,:,:), ALLOCATABLE ::  topo_top_ind            !< precalculated topography top indices
-    INTEGER(iwp), DIMENSION(:,:,:), ALLOCATABLE ::  wall_flags_0            !< flags to mask topography and surface-bounded grid points
+    INTEGER(iwp), DIMENSION(:,:,:), ALLOCATABLE ::  wall_flags_static_0            !< flags to mask topography and surface-bounded grid points
 
     SAVE
Index: /palm/trunk/SOURCE/multi_agent_system_mod.f90
===================================================================
--- /palm/trunk/SOURCE/multi_agent_system_mod.f90	(revision 4328)
+++ /palm/trunk/SOURCE/multi_agent_system_mod.f90	(revision 4329)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Renamed wall_flags_0 to wall_flags_static_0
+! 
+! 4307 2019-11-26 14:12:36Z maronga
 ! Activated output of iPT
 ! 
@@ -88,5 +91,5 @@
         ONLY:  nx, nxl, nxlg, nxr, nxrg, ny, nyn, nyng, nys, nysg, nzb,        &
                topo_top_ind,                                                   &
-               wall_flags_0
+               wall_flags_static_0
 
     USE random_function_mod,                                                   &
Index: /palm/trunk/SOURCE/nesting_offl_mod.f90
===================================================================
--- /palm/trunk/SOURCE/nesting_offl_mod.f90	(revision 4328)
+++ /palm/trunk/SOURCE/nesting_offl_mod.f90	(revision 4329)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Renamed wall_flags_0 to wall_flags_static_0
+! 
+! 4286 2019-10-30 16:01:14Z resler
 ! Fix wrong checks of time from dynamic driver in nesting_offl_mod
 ! 
@@ -188,5 +191,5 @@
                nysv, nysg, nyn, nyng, nzb, nz, nzt,                            &
                topo_top_ind,                                                   &
-               wall_flags_0
+               wall_flags_static_0
 
     USE kinds
@@ -863,5 +866,5 @@
                 volume_flow_l(1) = volume_flow_l(1) + u(k,j,i) * dzw(k) * dy   &
                                      * MERGE( 1.0_wp, 0.0_wp,                  &
-                                              BTEST( wall_flags_0(k,j,i), 1 ) )
+                                              BTEST( wall_flags_static_0(k,j,i), 1 ) )
              ENDDO
           ENDDO
@@ -873,5 +876,5 @@
                 volume_flow_l(1) = volume_flow_l(1) - u(k,j,i) * dzw(k) * dy   &
                                      * MERGE( 1.0_wp, 0.0_wp,                  &
-                                              BTEST( wall_flags_0(k,j,i), 1 ) )
+                                              BTEST( wall_flags_static_0(k,j,i), 1 ) )
              ENDDO
           ENDDO
@@ -883,5 +886,5 @@
                 volume_flow_l(2) = volume_flow_l(2) + v(k,j,i) * dzw(k) * dx   &
                                      * MERGE( 1.0_wp, 0.0_wp,                  &
-                                              BTEST( wall_flags_0(k,j,i), 2 ) )
+                                              BTEST( wall_flags_static_0(k,j,i), 2 ) )
              ENDDO
           ENDDO
@@ -893,5 +896,5 @@
                 volume_flow_l(2) = volume_flow_l(2) - v(k,j,i) * dzw(k) * dx   &
                                      * MERGE( 1.0_wp, 0.0_wp,                  &
-                                              BTEST( wall_flags_0(k,j,i), 2 ) )
+                                              BTEST( wall_flags_static_0(k,j,i), 2 ) )
              ENDDO
           ENDDO
@@ -998,5 +1001,5 @@
                                                 fac_dt ) *                     &
                              MERGE( 1.0_wp, 0.0_wp,                            &
-                                    BTEST( wall_flags_0(k,j,0), 1 ) )
+                                    BTEST( wall_flags_static_0(k,j,0), 1 ) )
                 u(k,j,-1) = u(k,j,0)
              ENDDO
@@ -1010,5 +1013,5 @@
                                                  fac_dt ) *                    &
                             MERGE( 1.0_wp, 0.0_wp,                             &
-                                   BTEST( wall_flags_0(k,j,-1), 3 ) )
+                                   BTEST( wall_flags_static_0(k,j,-1), 3 ) )
              ENDDO
              w(nzt,j,-1) = w(nzt-1,j,-1)
@@ -1021,5 +1024,5 @@
                                                  fac_dt ) *                    &
                                MERGE( 1.0_wp, 0.0_wp,                          &
-                                      BTEST( wall_flags_0(k,j,-1), 2 ) )
+                                      BTEST( wall_flags_static_0(k,j,-1), 2 ) )
              ENDDO
              v_ref_l(nzb+1:nzt) = v_ref_l(nzb+1:nzt) + v(nzb+1:nzt,j,-1)
@@ -1077,5 +1080,5 @@
                                                     fac_dt ) *                 &
                              MERGE( 1.0_wp, 0.0_wp,                            &
-                                    BTEST( wall_flags_0(k,j,nxr+1), 1 ) )
+                                    BTEST( wall_flags_static_0(k,j,nxr+1), 1 ) )
              ENDDO
              u_ref_l(nzb+1:nzt) = u_ref_l(nzb+1:nzt) + u(nzb+1:nzt,j,nxr+1)
@@ -1087,5 +1090,5 @@
                                                     fac_dt ) *                 &
                              MERGE( 1.0_wp, 0.0_wp,                            &
-                                    BTEST( wall_flags_0(k,j,nxr+1), 3 ) )
+                                    BTEST( wall_flags_static_0(k,j,nxr+1), 3 ) )
              ENDDO
              w(nzt,j,nxr+1) = w(nzt-1,j,nxr+1)
@@ -1098,5 +1101,5 @@
                                                     fac_dt ) *                 &
                              MERGE( 1.0_wp, 0.0_wp,                            &
-                                    BTEST( wall_flags_0(k,j,nxr+1), 2 ) )
+                                    BTEST( wall_flags_static_0(k,j,nxr+1), 2 ) )
              ENDDO
              v_ref_l(nzb+1:nzt) = v_ref_l(nzb+1:nzt) + v(nzb+1:nzt,j,nxr+1)
@@ -1155,5 +1158,5 @@
                                                 fac_dt ) *                     &
                            MERGE( 1.0_wp, 0.0_wp,                              &
-                                  BTEST( wall_flags_0(k,0,i), 2 ) )
+                                  BTEST( wall_flags_static_0(k,0,i), 2 ) )
                 v(k,-1,i) = v(k,0,i) 
              ENDDO
@@ -1167,5 +1170,5 @@
                                                  fac_dt ) *                    &
                            MERGE( 1.0_wp, 0.0_wp,                              &
-                                  BTEST( wall_flags_0(k,-1,i), 3 ) )
+                                  BTEST( wall_flags_static_0(k,-1,i), 3 ) )
              ENDDO
              w(nzt,-1,i) = w(nzt-1,-1,i)
@@ -1178,5 +1181,5 @@
                                                  fac_dt ) *                    &
                            MERGE( 1.0_wp, 0.0_wp,                              &
-                                  BTEST( wall_flags_0(k,-1,i), 1 ) )
+                                  BTEST( wall_flags_static_0(k,-1,i), 1 ) )
              ENDDO
              u_ref_l(nzb+1:nzt) = u_ref_l(nzb+1:nzt) + u(nzb+1:nzt,-1,i)
@@ -1236,5 +1239,5 @@
                                                     fac_dt ) *                 &
                                MERGE( 1.0_wp, 0.0_wp,                          &
-                                      BTEST( wall_flags_0(k,nyn+1,i), 2 ) )
+                                      BTEST( wall_flags_static_0(k,nyn+1,i), 2 ) )
              ENDDO
              v_ref_l(nzb+1:nzt) = v_ref_l(nzb+1:nzt) + v(nzb+1:nzt,nyn+1,i)
@@ -1246,5 +1249,5 @@
                                                     fac_dt ) *                 &
                                MERGE( 1.0_wp, 0.0_wp,                          &
-                                      BTEST( wall_flags_0(k,nyn+1,i), 3 ) )
+                                      BTEST( wall_flags_static_0(k,nyn+1,i), 3 ) )
              ENDDO
              w(nzt,nyn+1,i) = w(nzt-1,nyn+1,i)
@@ -1257,5 +1260,5 @@
                                                     fac_dt ) *                 &
                                MERGE( 1.0_wp, 0.0_wp,                          &
-                                      BTEST( wall_flags_0(k,nyn+1,i), 1 ) )
+                                      BTEST( wall_flags_static_0(k,nyn+1,i), 1 ) )
 
              ENDDO
@@ -1315,5 +1318,5 @@
                                                  fac_dt ) *                    &
                            MERGE( 1.0_wp, 0.0_wp,                              &
-                                  BTEST( wall_flags_0(nzt+1,j,i), 1 ) )
+                                  BTEST( wall_flags_static_0(nzt+1,j,i), 1 ) )
              u_ref_l(nzt+1) = u_ref_l(nzt+1) + u(nzt+1,j,i)
           ENDDO
@@ -1331,5 +1334,5 @@
                                                  fac_dt ) *                    &
                            MERGE( 1.0_wp, 0.0_wp,                              &
-                                  BTEST( wall_flags_0(nzt+1,j,i), 2 ) )
+                                  BTEST( wall_flags_static_0(nzt+1,j,i), 2 ) )
              v_ref_l(nzt+1) = v_ref_l(nzt+1) + v(nzt+1,j,i)
           ENDDO
@@ -1347,5 +1350,5 @@
                                                fac_dt ) *                      &
                            MERGE( 1.0_wp, 0.0_wp,                              &
-                                  BTEST( wall_flags_0(nzt,j,i), 3 ) )
+                                  BTEST( wall_flags_static_0(nzt,j,i), 3 ) )
              w(nzt+1,j,i) = w(nzt,j,i)
           ENDDO
@@ -2130,7 +2133,7 @@
 !--    After boundary data is initialized, mask topography at the 
 !--    boundaries for the velocity components.
-       u = MERGE( u, 0.0_wp, BTEST( wall_flags_0, 1 ) )
-       v = MERGE( v, 0.0_wp, BTEST( wall_flags_0, 2 ) )
-       w = MERGE( w, 0.0_wp, BTEST( wall_flags_0, 3 ) )
+       u = MERGE( u, 0.0_wp, BTEST( wall_flags_static_0, 1 ) )
+       v = MERGE( v, 0.0_wp, BTEST( wall_flags_static_0, 2 ) )
+       w = MERGE( w, 0.0_wp, BTEST( wall_flags_static_0, 3 ) )
 !
 !--    Initial calculation of the boundary layer depth from the prescribed 
Index: /palm/trunk/SOURCE/netcdf_data_input_mod.f90
===================================================================
--- /palm/trunk/SOURCE/netcdf_data_input_mod.f90	(revision 4328)
+++ /palm/trunk/SOURCE/netcdf_data_input_mod.f90	(revision 4329)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Renamed wall_flags_0 to wall_flags_static_0
+! 
+! 4321 2019-12-04 10:26:38Z pavelkrc
 ! Further revise check for surface fractions
 ! 
@@ -3401,5 +3404,5 @@
 
        USE indices,                                                            &
-           ONLY:  nxl, nxr, nyn, nys, wall_flags_0
+           ONLY:  nxl, nxr, nyn, nys, wall_flags_static_0
 
        IMPLICIT NONE
@@ -3867,11 +3870,11 @@
 !--          Check if building_type is set at each building and vice versa. 
 !--          Please note, buildings are already processed and filtered.
-!--          For this reason, consistency checks are based on wall_flags_0 
+!--          For this reason, consistency checks are based on wall_flags_static_0 
 !--          rather than buildings_f (buildings are represented by bit 6 in 
-!--          wall_flags_0). 
+!--          wall_flags_static_0). 
              IF ( building_type_f%from_file  .AND.  buildings_f%from_file )  THEN
-                IF ( ANY( BTEST ( wall_flags_0(:,j,i), 6 ) )  .AND.            &
+                IF ( ANY( BTEST ( wall_flags_static_0(:,j,i), 6 ) )  .AND.            &
                      building_type_f%var(j,i) == building_type_f%fill  .OR.    &
-               .NOT. ANY( BTEST ( wall_flags_0(:,j,i), 6 ) )  .AND.            &
+               .NOT. ANY( BTEST ( wall_flags_static_0(:,j,i), 6 ) )  .AND.            &
                      building_type_f%var(j,i) /= building_type_f%fill )  THEN
                    WRITE( message_string, * ) 'Each location where a ' //      &
@@ -3888,7 +3891,7 @@
 !--          is set and vice versa.
              IF ( buildings_f%from_file )  THEN
-                IF ( ANY( BTEST ( wall_flags_0(:,j,i), 6 ) )  .AND.           &
+                IF ( ANY( BTEST ( wall_flags_static_0(:,j,i), 6 ) )  .AND.           &
                      building_id_f%var(j,i) == building_id_f%fill  .OR.       &
-               .NOT. ANY( BTEST ( wall_flags_0(:,j,i), 6 ) )  .AND.           &
+               .NOT. ANY( BTEST ( wall_flags_static_0(:,j,i), 6 ) )  .AND.           &
                      building_id_f%var(j,i) /= building_id_f%fill )  THEN
                    WRITE( message_string, * ) 'Each location where a ' //     &
@@ -3902,5 +3905,5 @@
 !--          Check if building ID is set where a bulding is defined.
              IF ( buildings_f%from_file )  THEN
-                IF ( ANY( BTEST ( wall_flags_0(:,j,i), 6 ) )  .AND.           &
+                IF ( ANY( BTEST ( wall_flags_static_0(:,j,i), 6 ) )  .AND.           &
                      building_id_f%var(j,i) == building_id_f%fill )  THEN
                    WRITE( message_string, * ) 'Each building grid point '//   &
